Index: clickableUrl.tag
===================================================================
--- clickableUrl.tag	(revision 1809)
+++ clickableUrl.tag	(working copy)
@@ -14,6 +14,7 @@
 <%@ tag body-content="empty" language="java" pageEncoding="UTF-8" %>
 <%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
 <%@ taglib prefix="sventon-ui" uri="/WEB-INF/sventon.tld" %>
+<%@ taglib prefix="cow" uri="/WEB-INF/cow.tld" %>
 
 <%@ attribute name="command" required="true" type="org.sventon.web.command.BaseCommand" %>
 <%@ attribute name="url" required="true" type="java.lang.String" %>
@@ -23,11 +24,19 @@
   <c:url value="/repos/${command.name}/list/" var="basePathUrl">
     <c:param name="revision" value="${command.revision}" />
   </c:url>
-  <a href="${basePathUrl}">${url}</a> /
+  <c:choose>
+    <c:when test="${cow:isPermitted(command.name, '')}">
+      <a href="${basePathUrl}">${url}</a>
+    </c:when>
+    <c:otherwise>
+      ${url}
+    </c:otherwise>
+  </c:choose>
+  /
   <c:forTokens items="${command.parentPath}" delims="/" var="pathSegment">
     <c:set var="accuPath" scope="page" value="${accuPath}${pathSegment}/"/>
       <c:choose>
-        <c:when test="${clickable}">
+        <c:when test="${clickable and cow:isPermitted(command.name, accuPath)}">
           <c:url value="/repos/${command.name}/list/${accuPath}" var="pathUrl">
             <c:param name="revision" value="${command.revision}" />
           </c:url>
@@ -38,4 +47,4 @@
     /
   </c:forTokens>
 ${command.target}
-</span>
\ No newline at end of file
+</span>
